﻿<?php
require_once('api/Simpla.php');

class Levipay extends Simpla
{	
	public function checkout_form($order_id, $button_text = null)
	{
		if(empty($button_text))
		{
			$button_text = 'Оплатить';
		}
		
		$order = $this->orders->get_order((int)$order_id);
		$payment_method = $this->payment->get_payment_method($order->payment_method_id);
		$payment_currency = $this->money->get_currency(intval($payment_method->currency_id));
		$settings = $this->payment->get_payment_settings($payment_method->id);	

		$m_url = $settings['levipay_merchanturl'];
		$m_shop = $settings['levipay_merchantid'];
		$m_orderid = $order->id;
		$m_amount = number_format($order->total_price, 2, '.', '');
		$m_curr = $payment_currency->code == 'RUR' ? 'RUB' : $payment_currency->code;
		$m_desc = base64_encode($order->comment);


		$sign = md5( implode(":", array(
            $m_shop,
            $m_amount,
            $settings['levipay_secret1'],
            $m_orderid,
        )));
		
		$button = '
		<form method="GET" action="' . $m_url . '">
			<input type="hidden" name="m" value="' . $m_shop . '">
			<input type="hidden" name="oa" value="' . $m_amount . '">
			<input type="hidden" name="o" value="' . $m_orderid . '">
			<input type="hidden" name="s" value="' . $sign . '">
			<input type="submit" name="m_process" value="' . $button_text . '" />
		</form>';
		
		return $button;
	}
}
?>